Subject: Re: bug#76935: 31.0.50; New frame ignores default-frame-alist

From: Jens Lechtenboerger <[email-masked]>
Date: Wed, 12 Mar 2025 17:38:10 +0100

On 2025-03-12, martin rudalics wrote:

>> Ah, yes, this seems to be Bug#73244.  In fact, the dimensions from
>> the doc string do not work:
>
> But that was about specifying the frame size in .Xresources and below
> you say that "the initial frame is of reasonable size".  Can you try
> setting the size in .Xresources?

Maybe I’m not doing that correctly but the following line in
~/.Xresources does not have an effect (xrdb -query shows the
setting, though; using “.” instead “*” does not work either): 
Emacs*geometry: 80x40+0+0

>> (defun resize-me (frame)
>>    (set-frame-size frame 80 55))
>>
>> (add-hook 'after-make-frame-functions 'resize-me)
>>
>> I still get small frames/windows.
>>
>> Using (set-frame-size frame 80 54) does work, though.
>
> Remarkable.  Can you try with a few other sizes?

Hmm.  I cannot reproduce the issue with “80 55” any longer.  Will
try again tomorrow.  If I find something interesting I will report
back.

> And what happens when you use the "54" in 'default-frame-alist'?

The new frame is still small.

>> Yes, the initial frame is of reasonable size.
>
> Can you move the 'default-frame-alist' setting to an early-init.el file
> to find out whether it affects the initial size then?

Yes, that changes the initial frame (but it also does so in
~/.emacs).  Subsequent frames are still small, though.

Best wishes,
Jens